SSL VPN
35 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getSslVpnResourceGroupList | GET | Get SSL VPN resource group list. |
| getSslVpnResourceList | GET | Get SSL VPN resource list |
| getSslVpnUserGroupList | GET | Get SSL VPN user Group list. |
| downloadSslVpnCertificate | GET | Download SSL VPN certificate. (deprecated) |
| batchDeleteLockedSslVpnTunnel | DELETE | Batch delete SSL VPN locked tunnel |
| getLockedSslVpnTunnuels | GET | Get locked SSL VPN tunnel. |
| createLockedSslVpnTunnuel | POST | Create locked SSL VPN tunnel |
| deleteLockedSslVpnTunnel | DELETE | Delete SSL VPN locked tunnel |
| modifyLockedSslVpnTunnuel | PUT | Modify locked SSL VPN tunnel |
| getGridLockedSslVpnServerUser | GET | Get locked user list for SSL VPN server |
| createLockedSslVpnUser | POST | Create SSL VPN locked user |
| deleteLockedSslVpnUser | DELETE | Delete SSL VPN locked user |
| modifyLockedSslVpnUser | PUT | Modify SSL VPN locked user |
| getRadiusServerInfo | GET | Get radius server for SSL VPN server |
| getGridSslVpnServerResourceGroup | GET | Get resource group list for SSL VPN server |
| createSslVpnResourceGroup | POST | Create SSL VPN resource group |
| deleteSslVpnResourceGroup | DELETE | Delete SSL VPN resource group |
| modifySslVpnResourceGroup | PUT | Modify SSL VPN resource group |
| getGridSslVpnServerResource | GET | Get resource list for SSL VPN server |
| createSslVpnResource | POST | Create SSL VPN resource |
| deleteSslVpnResource | DELETE | Delete SSL VPN resource |
| modifySslVpnResource | PUT | Modify SSL VPN resource |
| getSslVpnServerSetting | GET | Get SSL VPN server setting (deprecated) |
| modifySslVpnServerSetting | PUT | Modify SSL VPN server setting (deprecated) |
| batchDeleteSslVpnUserGroup | DELETE | Batch delete SSL VPN user group |
| getGridSslVpnServerUserGroup | GET | Get user group list for SSL VPN server |
| createSslVpnUserGroup | POST | Create SSL VPN user group |
| deleteSslVpnUserGroup | DELETE | Delete SSL VPN user group |
| modifySslVpnUserGroup | PUT | Modify SSL VPN user group |
| getGridSslVpnUserInGroup | GET | Get SSL VPN user list in group. (deprecated) |
| getGridSslVpnServerUser | GET | Get user list for SSL VPN server (deprecated) |
| createSslVpnUser | POST | Create SSL VPN user |
| deleteSslVpnUser | DELETE | Delete SSL VPN user |
| modifySslVpnUser | PUT | Modify SSL VPN user |
| getGridSslVpnUserInGroupV2 | GET | Get SSL VPN user list in group V2. |
getSslVpnResourceGroupList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/briefresourcegroups
Get SSL VPN resource group list.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSslVpnResourceGroupList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SSL VPN resource group list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getSslVpnResourceList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/briefresources
Get SSL VPN resource list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSslVpnResourceList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SSL VPN resource list.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getSslVpnUserGroupList
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/briefusergroups
Get SSL VPN user Group list.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSslVpnUserGroupList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SSL VPN user Group list. This interface has been deprecated. Please use the following interfaces instead: Get SSL VPN user Group list V2.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
downloadSslVpnCertificate
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/certificate
Deprecated
This operation is deprecated.
Download SSL VPN certificate.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
wanIp | query | string | yes | WLAN IP |
// omada_call_operation
{
"operationId": "downloadSslVpnCertificate",
"params": {
"siteId": "<siteId>",
"wanIp": "<wanIp>"
}
}Details, permissions and error codes
Download SSL VPN certificate. Filename is a UTF-8 string encoded by URL Encoder. This interface has been deprecated. Please use the following interfaces instead: Download Open VPN or SSL VPN certificate.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34606 - No gateway in this site.
-34607 - Failed to get the VPN certificate.
-34624 - Failed to get any response from the gateway.
-34685 - It takes about 5 minutes to generate the file, please export it later.
batchDeleteLockedSslVpnTunnel
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-tunnels
Batch delete SSL VPN locked tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchSelectSslUserVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | no | ID list of batch selected SSL VPN users. |
searchKey | string | no | The keywords of the searchIt is effected when [selectAll] is 'true'. |
selectAll | boolean | no | Indicates whether to select all SSL VPN users for deletion.The behavior depends on the combination with 'ids': - If selectAll is true and ids is not empty: perform a reverse selection (excluding the specified IDs). - If selectAll is true and ids is empty: select all SSL VPN users. - If selectAll is false and ids is not empty: select only the specified SSL VPN users in the ID list. |
// omada_call_operation
{
"operationId": "batchDeleteLockedSslVpnTunnel",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete SSL VPN locked tunnel.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
getLockedSslVpnTunnuels
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-tunnels
Get locked SSL VPN tunnel.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getLockedSslVpnTunnuels",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get locked SSL VPN tunnel.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
createLockedSslVpnTunnuel
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-tunnels
Create locked SSL VPN tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SslVpnLockCreateAndModifyOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Type of the SSL VPN lock should be a value as follows: 0:username; 1:IP |
username | string | no | Username of the SSL VPN lock. It is required when parameter [type] is 0. |
ip | string | no | IP of the SSL VPN lock. It is required when parameter [type] is 1. |
totalLockTime | integer | yes | Total lock time of the SSL VPN lock should be within the range of 1–1080(min). |
// omada_call_operation
{
"operationId": "createLockedSslVpnTunnuel",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create locked SSL VPN tunnel.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43007 - IP already exists.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43009 - Username already exists.
-43013 - The number of locks has reached the limit.
deleteLockedSslVpnTunnel
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-tunnels/{lockTunnelId}
Delete SSL VPN locked tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
lockTunnelId | path | string | yes | Locked tunnel ID |
// omada_call_operation
{
"operationId": "deleteLockedSslVpnTunnel",
"params": {
"siteId": "<siteId>",
"lockTunnelId": "<lockTunnelId>"
}
}Details, permissions and error codes
Delete SSL VPN locked tunnel.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifyLockedSslVpnTunnuel
PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-tunnels/{lockTunnelId}
Modify locked SSL VPN tunnel
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
lockTunnelId | path | string | yes | lock Tunnel Id |
Request body — application/json (required) — schema SslVpnLockCreateAndModifyOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Type of the SSL VPN lock should be a value as follows: 0:username; 1:IP |
username | string | no | Username of the SSL VPN lock. It is required when parameter [type] is 0. |
ip | string | no | IP of the SSL VPN lock. It is required when parameter [type] is 1. |
totalLockTime | integer | yes | Total lock time of the SSL VPN lock should be within the range of 1–1080(min). |
// omada_call_operation
{
"operationId": "modifyLockedSslVpnTunnuel",
"params": {
"siteId": "<siteId>",
"lockTunnelId": "<lockTunnelId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify locked SSL VPN tunnel.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43007 - IP already exists.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43009 - Username already exists.
getGridLockedSslVpnServerUser
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-users
Get locked user list for SSL VPN server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field name. |
sorts.userName | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.ip | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
sorts.leftLockTime | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
// omada_call_operation
{
"operationId": "getGridLockedSslVpnServerUser",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get locked user list for SSL VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
createLockedSslVpnUser
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-users
Create SSL VPN locked user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SslVpnLockConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Type of the SSL VPN lock should be a value as follows: 0:username; 1:IP |
username | string | no | Username of the SSL VPN lock. It is required when parameter [type] is 0. |
ip | string | no | IP of the SSL VPN lock. It is required when parameter [type] is 1. |
totalLockTime | integer | yes | Total lock time of the SSL VPN lock should be within the range of 1–1080(min). |
// omada_call_operation
{
"operationId": "createLockedSslVpnUser",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create SSL VPN locked user.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43007 - IP already exists.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43009 - Username already exists.
-43013 - The number of locks has reached the limit.
deleteLockedSslVpnUser
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-users/{id}
Delete SSL VPN locked user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Locked user ID |
// omada_call_operation
{
"operationId": "deleteLockedSslVpnUser",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete SSL VPN locked user.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifyLockedSslVpnUser
PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/locked-users/{id}
Modify SSL VPN locked user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Locked user ID |
Request body — application/json (required) — schema SslVpnLockModifyOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Type of the SSL VPN lock should be a value as follows: 0:username, 1:IP. It can not be modified. |
username | string | no | Username of the SSL VPN lock. It is required when parameter [type] is 0. |
ip | string | no | IP of the SSL VPN lock. It is required when parameter [type] is 1. |
totalLockTime | integer | yes | Total lock time of the SSL VPN lock should be within the range of 1–1080(min). |
// omada_call_operation
{
"operationId": "modifyLockedSslVpnUser",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SSL VPN locked user.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43007 - IP already exists.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43009 - Username already exists.
getRadiusServerInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/radius
Get radius server for SSL VPN server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getRadiusServerInfo",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get radius server for SSL VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Global Other Setting View Only
getGridSslVpnServerResourceGroup
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resource-groups
Get resource group list for SSL VPN server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSslVpnServerResourceGroup",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get resource group list for SSL VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createSslVpnResourceGroup
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resource-groups
Create SSL VPN resource group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SslVpnResourceGroupConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the SSL VPN resource group should contain 1 to 20 characters. |
resourcesList | array<string> | no | Resources ID list of the SSL VPN resource group |
// omada_call_operation
{
"operationId": "createSslVpnResourceGroup",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create SSL VPN tunnel resource group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43005 - The number of resource groups has reached the limit.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
deleteSslVpnResourceGroup
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resource-groups/{id}
Delete SSL VPN resource group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Resource group ID |
// omada_call_operation
{
"operationId": "deleteSslVpnResourceGroup",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete SSL VPN tunnel resource group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifySslVpnResourceGroup
PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resource-groups/{id}
Modify SSL VPN resource group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Resource group ID |
Request body — application/json (required) — schema SslVpnResourceGroupModifyOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
resourcesList | array<string> | no | Resources ID list of the SSL VPN resource group. Resource can be created using 'Create SSL VPN resource' interface, and resource ID can be obtained from 'Get resource list for SSL VPN server' interface. |
// omada_call_operation
{
"operationId": "modifySslVpnResourceGroup",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SSL VPN tunnel resource group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
getGridSslVpnServerResource
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resources
Get resource list for SSL VPN server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field name. |
// omada_call_operation
{
"operationId": "getGridSslVpnServerResource",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get resource list for SSL VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createSslVpnResource
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resources
Create SSL VPN resource
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SslVpnResourceConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the SSL VPN resource should contain 1 to 20 characters. |
type | integer | yes | Type of the SSL VPN resource should be a value as follows: 0: IP; 1: domain. |
ip | string | no | IP of the SSL VPN resource, exists when type is 0. |
mask | string | no | Mask of the SSL VPN resource, exists when type is 0. |
domain | string | no | Domain of the SSL VPN resource, exists when type is 1. |
protocol | integer | no | Protocol of the SSL VPN resource should be a value as follows: 0:All; 1:TCP; 2:UDP; 3:TCP/UDP; 4:ICMP; 5:Other |
srcPortStart | integer | no | Start source port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535 |
srcPortEnd | integer | no | End source port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535 |
dstPortStart | integer | no | Start destination port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535 |
dstPortEnd | integer | no | End destination port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535 |
icmpType | integer | no | ICMP type of the SSL VPN resource, exists when protocol is ICMP. It should be within the range of 0–255 |
icmpCode | integer | no | ICMP code of the SSL VPN resource, exists when protocol is ICMP. It should be within the range of 0–255 |
otherProtocol | integer | no | Other protocol of the SSL VPN resource. It should be within the range of 1–255. |
// omada_call_operation
{
"operationId": "createSslVpnResource",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create SSL VPN tunnel resource.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43004 - The number of resources has reached the limit.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
deleteSslVpnResource
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resources/{id}
Delete SSL VPN resource
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Resource ID |
// omada_call_operation
{
"operationId": "deleteSslVpnResource",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete SSL VPN tunnel resource.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifySslVpnResource
PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/resources/{id}
Modify SSL VPN resource
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | Resource ID |
Request body — application/json (required) — schema SslVpnResourceModifyOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
type | integer | yes | Type of the SSL VPN resource should be a value as follows: 0: IP; 1: domain, and it can not be modified. |
ip | string | no | IP of the SSL VPN resource, exists when type is 0. |
mask | string | no | Mask of the SSL VPN resource, exists when type is 0. |
domain | string | no | Domain of the SSL VPN resource, exists when type is 1. |
protocol | integer | no | Protocol of the SSL VPN resource should be a value as follows: 0:All; 1:TCP; 2:UDP; 3:TCP/UDP; 4:ICMP; 5:Other |
srcPortStart | integer | no | Start source port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535 |
srcPortEnd | integer | no | End source port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535 |
dstPortStart | integer | no | Start destination port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535 |
dstPortEnd | integer | no | End destination port of the SSL VPN resource, exists when protocol is TCP or UDP. It should be within the range of 0–65535 |
icmpType | integer | no | ICMP type of the SSL VPN resource, exists when protocol is ICMP. It should be within the range of 0–255 |
icmpCode | integer | no | ICMP code of the SSL VPN resource, exists when protocol is ICMP. It should be within the range of 0–255 |
otherProtocol | integer | no | Other protocol of the SSL VPN resource. It should be within the range of 1–255 |
// omada_call_operation
{
"operationId": "modifySslVpnResource",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SSL VPN tunnel resource.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
getSslVpnServerSetting
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/setting
Deprecated
This operation is deprecated.
Get SSL VPN server setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getSslVpnServerSetting",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get SSL VPN server setting.This interface has been deprecated. Please use the following interfaces instead: Get VPN Server summary list and Get client-to-site VPN server detail info.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
modifySslVpnServerSetting
PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/setting
Deprecated
This operation is deprecated.
Modify SSL VPN server setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SslVpnServerConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
status | boolean | yes | Status of the SSL VPN server. |
wanPort | string | no | WAN port ID of the SSL VPN server. It is required when parameter [status] is true. WAN port ID can be obtained from 'Get internet basic info' interface |
ipPoolStart | string | no | The start IP of the IP pool. It is required when parameter [status] is true. |
ipPoolEnd | string | no | The end IP of the IP pool. It is required when parameter [status] is true. |
primaryDns | string | no | Primary DNS Server of the SSL VPN server. It is required when parameter [status] is true. |
secondaryDns | string | no | Secondary DNS Server of the SSL VPN server. |
servicePort | integer | no | Service port of the SSL VPN server. Default value is 1194. It is required when parameter [status] is true, and it should be within the range of 1–65535 |
authType | integer | no | Authentication type of the SSL VPN server should be a value as follows: 0: local; 1: radius; 2: LDAP. It is required when parameter [status] is true. |
radiusSetting | RadiusSettingOpenApiVO | no | (RadiusSettingOpenApiVO not expanded; call omada_get_schema "RadiusSettingOpenApiVO") |
LDAPSetting | LdapSettingOpenApiVO | no | (LdapSettingOpenApiVO not expanded; call omada_get_schema "LdapSettingOpenApiVO") |
nameLockSetting | LockSettingOpenApiVO | no | (LockSettingOpenApiVO not expanded; call omada_get_schema "LockSettingOpenApiVO") |
ipLockSetting | LockSettingOpenApiVO | no | (LockSettingOpenApiVO not expanded; call omada_get_schema "LockSettingOpenApiVO") |
exitAtIdle | boolean | no | Whether to exit when idle. It is required when parameter [status] is true. |
exitTime | integer | no | Exit time should be within the range of 5–3600(s). It is required when parameter [exitAtIdle] is true. |
totalTraffic | boolean | no | Whether to proxy all traffic. It is required when parameter [status] is true. |
// omada_call_operation
{
"operationId": "modifySslVpnServerSetting",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Get SSL VPN server setting. This interface has been deprecated. Please use the following interfaces instead: Create client-to-site VPN server V2 or Modify client-to-site VPN server V2.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33474 - This feature is not supported for the DS-Lite or Map-E WAN connection types.
-34032 - Built-in RADIUS server not started.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
-43010 - The IP addresses in SSL VPN IP pool cannot overlap with other VPN IP pools on the same site.
-43011 - The service port cannot be the same as that of the OpenVPN server.
-43017 - The device does not support configuring RADIUS type.
-43018 - The device does not support configuring LDAP type.
batchDeleteSslVpnUserGroup
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups
Batch delete SSL VPN user group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema BatchSelectSslUserVO
| Field | Type | Required | Description |
|---|---|---|---|
ids | array<string> | no | ID list of batch selected SSL VPN users. |
searchKey | string | no | The keywords of the searchIt is effected when [selectAll] is 'true'. |
selectAll | boolean | no | Indicates whether to select all SSL VPN users for deletion.The behavior depends on the combination with 'ids': - If selectAll is true and ids is not empty: perform a reverse selection (excluding the specified IDs). - If selectAll is true and ids is empty: select all SSL VPN users. - If selectAll is false and ids is not empty: select only the specified SSL VPN users in the ID list. |
// omada_call_operation
{
"operationId": "batchDeleteSslVpnUserGroup",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete SSL VPN user group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43015 - Failed to delete this group because it is used for RADIUS authentication in SSL VPN server.
-43016 - Failed to delete this group because it is used for LDAP authentication in SSL VPN server.
getGridSslVpnServerUserGroup
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups
Get user group list for SSL VPN server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
searchKey | query | string | no | Fuzzy query parameters, support field name. |
// omada_call_operation
{
"operationId": "getGridSslVpnServerUserGroup",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get user group list for SSL VPN server.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createSslVpnUserGroup
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups
Create SSL VPN user group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SslVpnUserGroupConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the SSL VPN user group should contain 1 to 20 characters. |
radiusAttribute | string | no | Attribute value used for radius authentication. It should contain 1 to 20 characters. |
ldapAttribute | string | no | Attribute value used for LDAP authentication. It should contain 1 to 20 characters. |
resourceGroupList | array<string> | no | Resource group ID list of the SSL VPN user group. Resource group can be created using 'Create SSL VPN resource group' interface, and Resource group ID can be obtained from 'Get resource group list for SSL VPN server' interface. |
// omada_call_operation
{
"operationId": "createSslVpnUserGroup",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create SSL VPN user group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43003 - The number of user groups has reached the limit.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
deleteSslVpnUserGroup
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups/{id}
Delete SSL VPN user group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | User group ID |
// omada_call_operation
{
"operationId": "deleteSslVpnUserGroup",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete SSL VPN user group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43015 - Failed to delete this group because it is used for RADIUS authentication in SSL VPN server.
-43016 - Failed to delete this group because it is used for LDAP authentication in SSL VPN server.
modifySslVpnUserGroup
PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/user-groups/{id}
Modify SSL VPN user group
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | User group ID |
Request body — application/json (required) — schema SslVpnUserGroupModifyOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
radiusAttribute | string | no | Attribute value used for radius authentication. It should contain 1 to 20 characters. |
ldapAttribute | string | no | Attribute value used for LDAP authentication. It should contain 1 to 20 characters. |
resourceGroupList | array<string> | no | Resource group ID list of the SSL VPN user group. Resource group can be created using 'Create SSL VPN resource group' interface, and Resource group ID can be obtained from 'Get resource group list for SSL VPN server' interface. |
// omada_call_operation
{
"operationId": "modifySslVpnUserGroup",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SSL VPN user group.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
getGridSslVpnUserInGroup
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/usergroups/{userGroupId}/users
Deprecated
This operation is deprecated.
Get SSL VPN user list in group.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
userGroupId | path | string | yes | User Group Id |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSslVpnUserInGroup",
"params": {
"siteId": "<siteId>",
"userGroupId": "<userGroupId>"
}
}Details, permissions and error codes
Get SSL VPN user list in group. This interface has been deprecated. Please use the following interfaces instead: Get SSL VPN user list in group V2.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
getGridSslVpnServerUser
GET /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/users
Deprecated
This operation is deprecated.
Get user list for SSL VPN server
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSslVpnServerUser",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get user list for SSL VPN server. This interface has been deprecated. Please use the following interfaces instead: Get VPN user list V2 or Get user list by VPN server ID.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
createSslVpnUser
POST /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/users
Create SSL VPN user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema SslVpnUserConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
groupId | string | no | Group ID of the SSL VPN user. User group can be created using 'Create SSL VPN user group' interface, and User Group ID can be obtained from 'Get user group list for SSL VPN server' interface. |
name | string | yes | Name of the SSL VPN user should contain 1 to 20 characters. |
status | boolean | yes | Status of the SSL VPN user |
password | string | yes | Password of the SSL VPN user should contain 1 to 64 characters. |
validity | string | yes | Validity of the SSL VPN user. The format is Month/Day/Year, for example 08/20/2022 |
concurrentNumber | integer | yes | Concurrent number of the SSL VPN user should be within the range of 1–100 |
// omada_call_operation
{
"operationId": "createSslVpnUser",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create SSL VPN user. This interface has been deprecated. Please use the following interfaces instead: Create VPN user V3.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33006 - This name already exists in this site.
-43002 - The number of users has reached the limit.
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
deleteSslVpnUser
DELETE /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/users/{id}
Delete SSL VPN user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | User ID |
// omada_call_operation
{
"operationId": "deleteSslVpnUser",
"params": {
"siteId": "<siteId>",
"id": "<id>"
}
}Details, permissions and error codes
Delete SSL VPN user. This interface has been deprecated. Please use the following interfaces instead: Delete VPN user.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
modifySslVpnUser
PUT /openapi/v1/{omadacId}/sites/{siteId}/vpn/ssl-vpn-server/users/{id}
Modify SSL VPN user
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
id | path | string | yes | User ID |
Request body — application/json (required) — schema SslVpnUserModifyOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
groupId | string | no | Group ID of the SSL VPN user. User group can be created using 'Create SSL VPN user group' interface, and User Group ID can be obtained from 'Get user group list for SSL VPN server' interface. |
status | boolean | yes | Status of the SSL VPN user |
password | string | yes | Password of the SSL VPN user should contain 1 to 64 characters. |
validity | string | yes | Validity of the SSL VPN user. The format is Month/Day/Year, for example 08/20/2022 |
concurrentNumber | integer | yes | Concurrent number of the SSL VPN user. It should be within the range of 1–100. |
// omada_call_operation
{
"operationId": "modifySslVpnUser",
"params": {
"siteId": "<siteId>",
"id": "<id>"
},
"body": "{...}"
}Details, permissions and error codes
Modify SSL VPN user. This interface has been deprecated. Please use the following interfaces instead: Modify VPN user V3.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-43008 - The current gateway model or firmware version does not support SSL VPN configuration.
getGridSslVpnUserInGroupV2
GET /openapi/v2/{omadacId}/sites/{siteId}/vpn/usergroups/{userGroupId}/users
Get SSL VPN user list in group V2.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
userGroupId | path | string | yes | User Group Id |
searchKey | query | string | no | Fuzzy query parameters, support field user name. |
sorts.username | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effectuser name. |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSslVpnUserInGroupV2",
"params": {
"siteId": "<siteId>",
"userGroupId": "<userGroupId>"
}
}Details, permissions and error codes
Get SSL VPN user list in group V2.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only